Package org.kapott.hbci.sepa.jaxb.pain_008_002_01

# Class PartyIdentificationSDD2

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_008_002_01.PartyIdentificationSDD2

public class PartyIdentificationSDD2 extends Object

Java class for PartyIdentificationSDD2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PartyIdentificationSDD2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Nm" type="{urn:swift:xsd:$pain.008.002.01}Max70Text"/>
             <element name="PstlAdr" type="{urn:swift:xsd:$pain.008.002.01}PostalAddressSDD" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`nm`
`protected PostalAddressSDD`
`pstlAdr`

## Constructor Summary

Constructors
Constructor
Description
`PartyIdentificationSDD2()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getNm()`
Gets the value of the nm property.
`PostalAddressSDD`
`getPstlAdr()`
Gets the value of the pstlAdr property.
`void`
`setNm(String value)`
Sets the value of the nm property.
`void`
`setPstlAdr(PostalAddressSDD value)`
Sets the value of the pstlAdr property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### nm

protected String nm

### pstlAdr

protected PostalAddressSDD pstlAdr

## Constructor Details

### PartyIdentificationSDD2

public PartyIdentificationSDD2()

## Method Details

### getNm

public String getNm()
Gets the value of the nm property.

Returns:
  possible object is `String`

### setNm

public void setNm(String value)
Sets the value of the nm property.

Parameters:
  `value` - allowed object is `String`

### getPstlAdr

public PostalAddressSDD getPstlAdr()
Gets the value of the pstlAdr property.

Returns:
  possible object is `PostalAddressSDD`

### setPstlAdr

public void setPstlAdr(PostalAddressSDD value)
Sets the value of the pstlAdr property.

Parameters:
  `value` - allowed object is `PostalAddressSDD`